package org.jboss.seam.example.chatter.action;

import javax.faces.context.FacesContext;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import org.jboss.seam.annotations.Factory;
import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Name;

@Name("clientStateSavingPasswordFactory")
public class ClientStateSavingPasswordFactory {

	@In protected FacesContext facesContext;

	@Factory("clientStateSavingPassword")
	public String getClientStateSavingPassword() {
		InitialContext initialContext = null;
        try {
            initialContext = new InitialContext();
        } catch (NamingException ne) {
			ne.printStackTrace();
            return null;
        }

		try {
			return (String) initialContext.lookup("java:comp/env/com.sun.faces.ClientStateSavingPassword");
		} catch (NamingException ne) {
			ne.printStackTrace();
			return null;
		}
	}

	@Factory("clientStateSaving")
	public boolean isClientStateSaving() {
		return "client".equals(facesContext.getExternalContext().getInitParameter("javax.faces.STATE_SAVING_METHOD"));
	}
}
